﻿@model DataBaseFinalProject.ViewModels.CreateExpenseTransactionViewModel

@{
    ViewBag.Title = "Edit expense category";
    Layout = "_Layout";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Edit", "ExpenseTransaction", FormMethod.Post))
{
    @Html.HiddenFor(model => model.ExpenseTransaction.Id)
    
    <div class="form-group">
        <label for="ClientId">Choose user:</label>
        <select id="ClientId" name="ExpenseTransaction.UserId" class="form-control">
            <option value="">Choose user</option>
            @foreach (var user in Model.Users)
            {
                var selected = user.Id == Model.ExpenseTransaction.UserId ? "selected" : "";
                <option value="@user.Id" selected="@selected">@user.Nickname</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label for="ClientId">Choose category:</label>
        <select id="ClientId" name="ExpenseTransaction.CategoryId" class="form-control">
            <option value="">Choose category</option>
            @foreach (var expenseCategory in Model.ExpenseCategories)
            {
                var selected = expenseCategory.Id == Model.ExpenseTransaction.CategoryId ? "selected" : "";
                <option value="@expenseCategory.Id" selected="@selected">@expenseCategory.Name</option>
            }
        </select>
    </div>
    
    <div class="form-group">
        <label asp-for="ExpenseTransaction.Amount">Amount:</label>
        <input asp-for="ExpenseTransaction.Amount" class="form-control" />
        <span asp-validation-for="ExpenseTransaction.Amount" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="ExpenseTransaction.Description">Description:</label>
        <input asp-for="ExpenseTransaction.Description" class="form-control" />
        <span asp-validation-for="ExpenseTransaction.Description" class="text-danger"></span>
    </div>
    
    <div class="form-group">
        <label asp-for="ExpenseTransaction.CreatedAt">CreatedAt:</label>
        <input asp-for="ExpenseTransaction.CreatedAt" class="form-control" />
        <span asp-validation-for="ExpenseTransaction.CreatedAt" class="text-danger"></span>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
}